<template>
  <el-bus-crud v-bind="tableConfig" />
</template>

<script>
import { getPartnerListConfig } from '@/utils/form-item-config'
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/api/flower/markup/ps/list',
        hasEdit: false,
        hasView: false,
        columns: [
          { label: '序号', type: 'index' },
          { label: '合伙人名称', prop: 'name' },
          { label: '联系人方式', prop: 'tel' },
        ],
        searchForm: [
          {
            type: 'row',
            items: [{ label: '合伙人名称', id: 'name', type: 'input' }],
          },
        ],
        form: [
          {
            ...getPartnerListConfig(),
            rules: { required: true, message: '请选择合伙人' },
          },
        ],
        extraButtons: [
          {
            text: '分类加价',
            atClick: (row) => {
              this.$router.push(
                `${this.$route.path}/${row.id}/category?partnerName=${row.name}`
              )
            },
          },
          {
            text: '商品加价',
            atClick: (row) => {
              this.$router.push(
                `${this.$route.path}/${row.id}/goods?partnerName=${row.name}`
              )
            },
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '平台加价',
    }
  },
}
</script>
